--- old/usr/src/cmd/make/bin/doname.cc	2015-05-20 11:42:01.648949002 -0400
+++ new/usr/src/cmd/make/bin/doname.cc	2015-05-20 11:42:01.663830340 -0400
@@ -55,9 +55,6 @@
 #include <mksh/misc.h>		/* getmem() */
 #include <poll.h>
 
-#ifdef PARALLEL
-#	include <rx/api.h>
-#endif
 
 #include <signal.h>
 
@@ -73,9 +70,7 @@
 /*
  * Defined macros
  */
-#ifndef PARALLEL
 #	define LOCALHOST "localhost"
-#endif
 
 #define MAXRULES 100
 
@@ -547,11 +542,6 @@
 		line->body.line.query = out_of_date_list;
 	}
 
-#ifdef PARALLEL
-	if (doing_subtree) {
-		parallel = false;
-	}
-#endif
 
 /*
  * If the target is a :: type, do not try to find the rule for the target,
--- old/usr/src/cmd/make/bin/main.cc	2015-05-20 11:42:02.631711976 -0400
+++ new/usr/src/cmd/make/bin/main.cc	2015-05-20 11:42:02.644674396 -0400
@@ -236,9 +236,7 @@
 	int			statval;
 #endif
 
-#ifndef PARALLEL
 	struct stat		out_stat, err_stat;
-#endif
 	hostid = gethostid();
 #ifdef TEAMWARE_MAKE_CMN
 	avo_get_user(NULL, NULL); // Initialize user name
@@ -416,7 +414,6 @@
 		}
 	}
 
-#ifndef PARALLEL
 	/* find out if stdout and stderr point to the same place */
 	if (fstat(1, &out_stat) < 0) {
 		fatal(catgets(catd, 1, 165, "fstat of standard out failed: %s"), errmsg(errno));
@@ -430,9 +427,6 @@
 	} else {
 		stdout_stderr_same = false;
 	}
-#else
-	stdout_stderr_same = false;
-#endif
 	/* Make the vroot package scan the path using shell semantics */
 	set_path_style(0);
 
@@ -1333,11 +1327,9 @@
 				warning(catgets(catd, 1, 285, "Ignoring DistributedMake -m option"));
 #endif
 				break;
-#ifndef PARALLEL
 			case 128: /* -O seen */
 				argv[i] = (char *)NOCATGETS("-O");
 				break;
-#endif
 			case 256: /* -K seen */
 				argv[i] = (char *)NOCATGETS("-K");
 			        break;
@@ -1697,7 +1689,6 @@
 			do_not_exec_rule = true;
 		}
 		return 0;
-#ifndef PARALLEL
 	case 'O':			 /* Send job start & result msgs */
 		if (invert_this) {
 			send_mtool_msgs = false;
@@ -1707,7 +1698,6 @@
 #endif
 		}
 		return 128;
-#endif
 	case 'o':			 /* Use alternative dmake output dir */
 		if (invert_this) {
 			dmake_odir_specified = false;
@@ -2207,7 +2197,6 @@
 		append_char('w', &makeflags_string);
 		append_char('w', &makeflags_string_posix);
 	}
-#ifndef PARALLEL
 	/* -c dmake_rcfile */
 	if (dmake_rcfile_specified) {
 		MBSTOWCS(wcs_buffer, NOCATGETS("DMAKE_RCFILE"));
@@ -2273,7 +2262,6 @@
 		append_char((int) hyphen_char, &makeflags_string_posix);
 		append_char('R', &makeflags_string_posix);
 	}
-#endif
 
 /*
  *	Make sure MAKEFLAGS is exported
